pcl::registration::PoseEstimate< PointT > Struct Template Reference
Module registration

PoseEstimate struct More...

`#include <pcl/registration/vertex_estimates.h>`

## Public Member Functions

| PoseEstimate (const Eigen::Matrix4f &p=Eigen::Matrix4f::Identity(), const typename pcl::PointCloud< PointT >::ConstPtr &c=typename pcl::PointCloud< PointT >::ConstPtr())

## Public Attributes

Eigen::Matrix4f | pose
pcl::PointCloud< PointT >::ConstPtr | cloud

## Detailed Description

### template<typename PointT>
struct pcl::registration::PoseEstimate< PointT >

PoseEstimate struct

Author
  Nicola Fioraio

Definition at line 61 of file vertex_estimates.h.

## Constructor & Destructor Documentation

## PoseEstimate()

template<typename PointT >

pcl::registration::PoseEstimate< PointT >::PoseEstimate | ( | const Eigen::Matrix4f & | p = `Eigen::Matrix4f::Identity()`,
|  | const typename pcl::PointCloud< PointT >::ConstPtr & | c = `typename pcl::PointCloud<PointT>::ConstPtr()`
| ) |  |

inline

Definition at line 66 of file vertex_estimates.h.

## Member Data Documentation

## cloud

template<typename PointT >

pcl::PointCloud<PointT>::ConstPtr pcl::registration::PoseEstimate< PointT >::cloud

Definition at line 64 of file vertex_estimates.h.

## pose

template<typename PointT >

Eigen::Matrix4f pcl::registration::PoseEstimate< PointT >::pose

Definition at line 63 of file vertex_estimates.h.

The documentation for this struct was generated from the following file:

- pcl/registration/vertex_estimates.h